summarylogtreecommitdiffstats
path: root/another-redis-desktop-manager.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-12 17:05:05 +0800
committerzxp198210052023-12-12 17:05:05 +0800
commit2938757092a23aff8f2098ef626aff56a8d41181 (patch)
treee4542e67d67ed7e951f018c3399bd290bb00c699 /another-redis-desktop-manager.sh
parent9c250ef56e0b52548785307b3d904b49c2eb8645 (diff)
downloadaur-2938757092a23aff8f2098ef626aff56a8d41181.tar.gz
fix errors
Diffstat (limited to 'another-redis-desktop-manager.sh')
-rw-r--r--another-redis-desktop-manager.sh17
1 files changed, 10 insertions, 7 deletions
diff --git a/another-redis-desktop-manager.sh b/another-redis-desktop-manager.sh
index 98bd7832279c..2ec4412e5c4f 100644
--- a/another-redis-desktop-manager.sh
+++ b/another-redis-desktop-manager.sh
@@ -1,11 +1,14 @@
#!/bin/bash
-_ELECTRON=/usr/bin/electron12
-APPDIR="/usr/lib/another-redis-desktop-manager"
-export PATH="${APPDIR}:${PATH}"
-export LD_LIBRARY_PATH="${APPDIR}/swiftshader:${APPDIR}/usr/lib:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
fi \ No newline at end of file